<bugID>1357146<Summary>Attempting to set Firefox as default browser results in an nsITimer firing every second for up to 10 minutes</Summary><Description>Here's the code in question: http://searchfox.org/mozilla-central/rev/24eec01c4e43c0f029b0148900b5f8ed508f7e21/browser/components/nsBrowserGlue.js#2362-2381

Looks like this code is polling the OS to see if we're the default yet, after attempting to set as default. Looks like it'll cancel the timer if it finds that we're default, or bail out after 600 seconds (10 minutes) of polling without the default being set.

Looking at https://mzl.la/2oEyYQE, it looks like we're hitting the worst case scenario pretty often. :/</Description></bugID>